%define anolis_release 1

Name: python-linux-procfs
Version: 0.7.1
Release: %{anolis_release}%{?dist}
License: GPLv2
Summary: Linux /proc abstraction classes
Source: https://cdn.kernel.org/pub/software/libs/python/%{name}/%{name}-%{version}.tar.gz
URL: https://rt.wiki.kernel.org/index.php/Tuna
BuildArch: noarch
BuildRequires: python3-devel

Patch0: python_linux_procfs-setup.py-Remove-distutils.patch

%global _description\
Abstractions to extract information from the Linux kernel /proc files.

%description %_description

%package -n python3-linux-procfs
Summary: %summary
%{?python_provide:%python_provide python3-linux-procfs}

Requires: python3-six

%description -n python3-linux-procfs %_description

%prep
%autosetup -p1 %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
rm -rf %{buildroot}
%pyproject_install

%files -n python3-linux-procfs
%defattr(0755,root,root,0755)
%{_bindir}/pflags
%{python3_sitelib}/procfs/
%defattr(0644,root,root,0755)
%{python3_sitelib}/python_linux_procfs-%{version}.dist-info/
%license COPYING


%changelog
* Mon Jan 16 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.7.1-1
- update to version 0.7.1

* Thu Mar  10 2022 zl01087097 <zl01087097@alibaba-inc.com> - 0.7.0-1
- upstream version 0.7.0
